> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-governance/diagram-pictures.md).

# Diagram Pictures

## Adds a diagram picture.

> Take a diagram picture for a given asset and diagram view.\
> A diagram picture is a copy of traceability diagram (result diagram) at a given time (for more information on traceability diagram check DGC User Guide).\
> \
> The motivation behind diagram picture is to be able to reopen them at a later point in time and be able to see them them exactly as they were created. This feature is not possible for result diagram which are always showing the current situation.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AddDiagramPictureRequest":{"required":["assetId","viewId"],"type":"object","properties":{"assetId":{"type":"string","description":"The ID of the Asset for which the picture should be taken.","format":"uuid"},"viewId":{"type":"string","description":"The ID  of the View for which the picture should be taken.","format":"uuid"}}}}},"paths":{"/diagramPictures":{"post":{"tags":["Diagram Pictures"],"summary":"Adds a diagram picture.","description":"Take a diagram picture for a given asset and diagram view.\nA diagram picture is a copy of traceability diagram (result diagram) at a given time (for more information on traceability diagram check DGC User Guide).\n\nThe motivation behind diagram picture is to be able to reopen them at a later point in time and be able to see them them exactly as they were created. This feature is not possible for result diagram which are always showing the current situation.","operationId":"addDiagramPicture","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddDiagramPictureRequest"}}}},"responses":{"201":{"description":"Diagram picture successfully added.The response contains a UUID of the added diagram picture. The UUID can be used to compose an URL to retrive the diagram picture.","content":{"application/json":{"schema":{"type":"string","format":"uuid"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/data-governance/diagram-pictures.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
